kio Library: KSSLCertBox Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLCertBox Class Reference

KDE SSL Certificate Box KDE SSL Certificate Box. More...

`#include <ksslinfodlg.h>`

Inheritance diagram for KSSLCertBox:

[legend]
Collaboration diagram for KSSLCertBox:

[legend]
List of all members.

## Public Member Functions
| KSSLCertBox (QWidget *parent=0L, const char *name=0L, WFlags f=0)
void | setValues (QString certName, QWidget *mailCatcher=0L)

## Detailed Description

KDE SSL Certificate Box KDE SSL Certificate Box.

This class creates a widget which formats and displays the contents of an SSL X.509 certificate. That is, it takes the "subject" of the certificate and displays everything contained therein.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSLInfoDlg

Definition at line 149 of file ksslinfodlg.h.

## Constructor & Destructor Documentation

KSSLCertBox::KSSLCertBox | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | WFlags | f = `0`
| ) |

  | Construct a certificate box. Parameters:
  | parent | the parent widget
  | name | the internal name of this instance
  | f | widget flags for the object
Definition at line 360 of file ksslinfodlg.cc. References setValues().

## Member Function Documentation

void KSSLCertBox::setValues | ( | QString | certName,
|  | QWidget * | mailCatcher = `0L`
| ) |

  | Change the contents of the widget. Parameters:
  | certName | the name ("subject") of the certificate
  | mailCatcher | the widget which catches the url open events
Definition at line 369 of file ksslinfodlg.cc. References QScrollView::addChild(), KSSLX509Map::getValue(), QString::isEmpty(), QScrollView::removeChild(), QDialog::show(), QScrollView::updateScrollBars(), and QScrollView::viewport(). Referenced by KSSLInfoDlg::certInfoWidget(), and KSSLCertBox().

The documentation for this class was generated from the following files:

- ksslinfodlg.h
- ksslinfodlg.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003